*******************************
* AUTHOR: Natalia Rigol
* Program Purpose: Figure 2
* Date Created: 4/15/2013
***********************************

*GLOBAL DIRECTORY

global VFSROOT "C:\Users\Natalia\Dropbox\VWS Projects"

global cd	"$VFSROOT\graceperiodpaper\AER Resubmit\Publication Version"

*USING FILE


clear
use "$cd\New Files 20130415\Publication Data and Do Files\Grace Period Data.dta", clear


*Figure 1 Data


gen Profits_Graph=Profit
replace Profits_Graph=12000 if Profit>12000 & Profit!=.

gen Profits=.
gen Profits_Treat=.
gen Profit_Value=.
local m=1
forvalues i=500(500)12000{
	local j=`i'-500
	replace Profits= 1 if Profits_Graph<=`i' & Profits_Graph>=`j' & sec_treat==1
	recode Profits (.=0) if  Profits_Graph!=. 
	replace Profits=. if sec_treat==0
	egen Profits_T=mean(Profits) 
	replace Profits_Treat=Profits_T in `m'
	replace Profits=. 
	drop Profits_T
	replace Profit_Value=`i' in `m'
	local m=`m'+1
	}
	

drop Profits

gen Profits=.
gen Profits_Control=.
local m=1
forvalues i=500(500)12000{
	local j=`i'-500
	replace Profits= 1 if Profits_Graph<=`i' & Profits_Graph>=`j' & sec_treat==0
	recode Profits (.=0) if  Profits_Graph!=. 
	replace Profits=. if sec_treat==1
	egen Profits_C=mean(Profits) 
	replace Profits_Control=Profits_C in `m'
	replace Profits=. 
	drop Profits_C
	local m=`m'+1
	}
	
keep Profit_Value Profits_Treat Profits_Control
br Profit_Value Profits_Treat Profits_Control

*Files Created In Excel
