# delimit ;
set more off;
drop _all;
matrix drop _all;
capture log close;
set logtype text;
pause on;

*** GENERATES THE RESULTS IN TABLE A.4 (DEVIATIONS FROM EXPERIMENTAL PROTOCOL);

capture log using "TableB1Deviations", replace;

use "data" if time==0;

foreach var of varlist cropsales cropcosts anim_total anim_totsales bsns_sales bsns_costs inc_trans inc_wage assets {;
	replace `var' = sqrt(`var');
};

reg T D hh_adults hh_children male_head head_age head_noeduc loans_formal loans_informal loans_woman
	mainecon cropsales cropcosts anim_big_n anim_total anim_totsales bsns_sales bsns_costs bsns_n bsns_f 
	inc_trans inc_wage assets surface nofood dist_market, cluster(pa);
test hh_adults hh_children male_head head_age head_noeduc loans_formal loans_informal loans_woman
	mainecon cropsales cropcosts anim_big_n anim_total anim_totsales bsns_sales bsns_costs bsns_n bsns_f 
	inc_trans inc_wage assets surface nofood dist_market;
	
log close;
